%define xfontdir        %{_datadir}/fonts
%define langlist        "devanagari gujarati tamil malayalam oriya"

Name:        samyak-fonts
Version:     1.2.1
Release:     1%{?dist}
Summary:     Free Indian truetype/opentype fonts
Group:       User Interface/X
License:     GPLv3+ with exceptions
URL:         https://sarovar.org/projects/samyak/
Source:   samyak-fonts-%{version}.tar.gz
BuildArch:   noarch
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The Samyak package contains fonts for the display of
Scripts Devanagari, Gujarati, Malayalam, Oriya and Tamil

# mk_pkg <name> <lang-code> 
%define mk_pkg() \
%package -n samyak-fonts-%1\
Summary:    Free %(echo %1 | sed -e "s/\\(.*\\)/\\u\\1/") font\
Group:      User Interface/X \
Provides:   ttfonts-%2 = 1.8-2\
Obsoletes : ttfonts-%2 <= 1.8-1\
\
\
%description -n samyak-fonts-%1\
This package provides a free %(echo %1 | sed -e "s/\\(.*\\)/\\u\\1/") truetype/opentype font.\
\
%files -n samyak-fonts-%1\
%defattr(-, root, root, -)\
%doc COPYING README AUTHORS\
%dir %{xfontdir}/samyak-%1\
%{xfontdir}/samyak-%1/*.ttf\
\
%post -n samyak-fonts-%1 \
if [ -x %{_bindir}/fc-cache ]; then \
  %{_bindir}/fc-cache %{xfontdir}/samyak-%1 \
fi \
\
%postun -n samyak-fonts-%1 \
if [ "$1" = "0" ]; then \
  if [ -x %{_bindir}/fc-cache ]; then \
    %{_bindir}/fc-cache %{xfontdir}/samyak-%1 \
  fi \
fi 

%mk_pkg gujarati gu
%mk_pkg devanagari hi
%mk_pkg malayalam ml 
%mk_pkg oriya or 
%mk_pkg tamil ta 

%prep
%setup -q -n samyak-fonts-%{version}

%build
echo "Nothing to do in Build."

%install
rm -rf $RPM_BUILD_ROOT

for i in "%{langlist}"
do
  install -d $RPM_BUILD_ROOT/%{xfontdir}/samyak-$i
  install -m 0644 $i/* $RPM_BUILD_ROOT/%{xfontdir}/samyak-$i
done

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Sep 18 2008 Pravin Satpute <psatpute@redhat.com> 1.2.1-1
- upstream release 1.2.1
- Added Unicode 5.1 support in Samyak-Devanagari 

* Fri Apr 04 2008 Pravin Satpute <psatpute@redhat.com> 1.2.0-2
- given proper license name
- fc-cache now run on samyak-langname folder

* Thu Feb 28 2008 Pravin Satpute <psatpute@redhat.com> - 1.2.0-1
- update to samyak-fonts-1.2.0 from upstream cvs
- major bug fixes for devanagari and malayalam
- licence update to 'GNU Gplv3 or later with font exceptions'
- update spec file

* Fri Feb 08 2008 Pravin Satpute <psatpute@redhat.com> - 1.1.0-2
- added sub packaging support in spec file based on lohit-fonts.spec file 

* Fri Jan 18 2008 Pravin Satpute <psatpute@redhat.com> - 1.1.0-1
- initial packaging
